<?php
/**
 * EnumsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\MarketingClient;

use \Ensi\MarketingClient\Configuration;
use \Ensi\MarketingClient\ApiException;
use \Ensi\MarketingClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * EnumsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class EnumsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for getDiscountConditionTypeProps
     *
     * Получение объектов типа DiscountConditionTypeProp.
     *
     */
    public function testGetDiscountConditionTypeProps()
    {
    }

    /**
     * Test case for getDiscountConditionTypes
     *
     * Получение объектов типа DiscountConditionType.
     *
     */
    public function testGetDiscountConditionTypes()
    {
    }

    /**
     * Test case for getDiscountStatuses
     *
     * Получение объектов типа DiscountStatus.
     *
     */
    public function testGetDiscountStatuses()
    {
    }

    /**
     * Test case for getDiscountTypes
     *
     * Получение объектов типа DiscountType.
     *
     */
    public function testGetDiscountTypes()
    {
    }

    /**
     * Test case for getPromoCodeStatuses
     *
     * Получение объектов типа PromoCodeStatus.
     *
     */
    public function testGetPromoCodeStatuses()
    {
    }

    /**
     * Test case for getPromoCodeTypes
     *
     * Получение объектов типа PromoCodeType.
     *
     */
    public function testGetPromoCodeTypes()
    {
    }
}
